Bug 1167981 - [RFE] Nodes should support certificate based authentication
Summary: [RFE] Nodes should support certificate based authentication
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: nodes
Version: 2.4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-25 19:13 UTC by Randy Barlow
Modified: 2015-02-28 23:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:20:36 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 274 0 None None None Never

Description Randy Barlow 2014-11-25 19:13:34 UTC
Description of problem:
Nodes requires the use of oauth, which is known to have issues. It should support other forms of authentication which are safer, such as client certificates or even password authentication. We should not do passwords without doing certificates, but doing both would be swell.

Version-Release number of selected component (if applicable):
2.4.3-1

How reproducible:
Every time.

Steps to Reproduce:
1. Try to configure Nodes without Oauth

Actual results:
Note that you were unable to do so.

Expected results:
You should be able to configure the child and parent to communicate with client certificates that are signed by a trusted CA.

Comment 1 Brian Bouterse 2015-02-19 01:20:36 UTC
Moved to https://pulp.plan.io/issues/274


Note You need to log in before you can comment on or make changes to this bug.